## org.apache.lucene.spatial.tier
Class CartesianPolyFilterBuilder

    java.lang.Object
      org.apache.lucene.spatial.tier.CartesianPolyFilterBuilder

Deprecated.

    @Deprecated
    public class CartesianPolyFilterBuilder

extends Object

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`static double` `MILES_FLOOR` Deprecated.

Constructor Summary
`CartesianPolyFilterBuilder(String tierPrefix, int minTierIndexed, int maxTierIndexed)` Deprecated.

Method Summary
`Filter` `getBoundingArea(double latitude, double longitude, double miles)` Deprecated.
`Shape` `getBoxShape(double latitude, double longitude, double miles)` Deprecated.
`Shape` `getShapeLoop(Shape shape, CartesianTierPlotter ctp, double latX, double longX, double latY, double longY)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILES_FLOOR

    public static final double MILES_FLOOR

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### CartesianPolyFilterBuilder

    public CartesianPolyFilterBuilder(String tierPrefix,
                                      int minTierIndexed,
                                      int maxTierIndexed)

  Deprecated.
  Parameters:
    `tierPrefix` - The prefix for the name of the fields containing the tier info
    `minTierIndexed` - The minimum tier level indexed
    `maxTierIndexed` - The maximum tier level indexed

Method Detail

### getBoxShape

    public Shape getBoxShape(double latitude,
                             double longitude,
                             double miles)

  Deprecated.

### getShapeLoop

    public Shape getShapeLoop(Shape shape,
                              CartesianTierPlotter ctp,
                              double latX,
                              double longX,
                              double latY,
                              double longY)

  Deprecated.

### getBoundingArea

    public Filter getBoundingArea(double latitude,
                                  double longitude,
                                  double miles)

  Deprecated.